Create a new Pre-Approval
curl --request POST \
--url https://commerce.driv.ly/api/preapprovals \
--header 'Content-Type: application/json' \
--data '
{
"id": "pre_59dk394fjdl3",
"consumer": "Consumer ID",
"creditBand": "crb_39fjkd93nmd0",
"validUntilTime": "2024-04-12T00:00:00Z"
}
'import requests
url = "https://commerce.driv.ly/api/preapprovals"
payload = {
"id": "pre_59dk394fjdl3",
"consumer": "Consumer ID",
"creditBand": "crb_39fjkd93nmd0",
"validUntilTime": "2024-04-12T00:00:00Z"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'pre_59dk394fjdl3',
consumer: 'Consumer ID',
creditBand: 'crb_39fjkd93nmd0',
validUntilTime: '2024-04-12T00:00:00Z'
})
};
fetch('https://commerce.driv.ly/api/preapprovals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "pre_59dk394fjdl3",
"consumer": "Consumer ID",
"creditBand": "crb_39fjkd93nmd0",
"validUntilTime": "2024-04-12T00:00:00Z"
},
"success": true
}{
"error": {
"code": 400,
"message": "Missing Required Information"
},
"success": false
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Credit
Create a new Pre-Approval
POST
/
preapprovals
Create a new Pre-Approval
Query Parameters
The number of levels of related objects to include in the response
Body
application/json